List agents
Retrieve all AI agents available to your organization.
GET
/v1/ai-agentsQuery parameters
ParameterTypeDescription
limitinteger
Page size. Defaults to 30, maximum 100. Range: 1-100. Default: 30. Example: 30.
nextstring
Cursor from a previous response's meta.next. Example: "eyJjcmVhdGVkQXQiOiIyMDI2LTA4LTI2VDA5OjEyOjQ0LjAwMFoiLCJpZCI6ImFnZW50XzAxIn0".
qstring
Case-insensitive text used to filter agents by name. Example: "Support".
enabledboolean
Return only enabled or only disabled agents. Example: true.
Responses
{
"data": [
{
"id": "agent_01",
"name": "Support assistant",
"persona": "Help customers with their questions.",
"icon_url": "https://example.com/icon.png",
"enabled": true,
"channels": [
"string"
],
"model": "string",
"temperature": 0.7,
"personality": "string",
"memory_enabled": true,
"customer_support_enabled": true,
"chat_history_limit": 10,
"knowledge_topic_count": 10,
"created_at": "2026-01-15T10:30:00Z",
"updated_at": "2026-01-15T10:30:00Z"
}
],
"meta": {
"limit": 10,
"next": "string",
"has_more": true
}
}